Skip to content

Get record

Request

This API returns the latest version of the given record. Required roles: 'users.datalake.viewers' or 'users.datalake.editors' or 'users.datalake.admins'.

Security
bearer
Path
idstringrequired

Record id

Note: If the Record ID contains encoded characters (e.g., %5B, %5D, etc.), ensure that you url-encode the Record ID to avoid issues with URL decoding. For example, if your Record ID is opendes:test:%5BUS%5D, you should encode it as opendes%3Atest%3A%255BUS%255D.

Query
attributeArray of strings

Filter attributes to restrict the returned fields of the record. Usage: data.{record-data-field-name}.

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/storage/v2/records/{id}?attribute=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Record retrieved successfully.

Bodyapplication/json
idstring

Unique identifier in whole Data Platform. When not provided, Data Platform will create and assign an id to the record. Should follow the naming convention: {data-partition-id}:{object-type}:{uuid}.

Example:"slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1"
kindstringrequired

Kind of data it is being ingested. Must follow the naming convention: {authority/data-partition-id}:{source}:{entity-type}:{major}.{minor}.{patch}.

Example:"slb-osdu-prod-des-prod-testing:wks:work-product-component--WellLog:1.0.0"
aclobject(StorageAcl)required
Example:
{ "viewers": [ "data.default.viewers@{datapartition}.{domain}.com" ], "owners": [ "data.default.owners@{datapartition}.{domain}.com" ] }
legalobject(Legal)required
Example:
{ "legaltags": [ "slb-osdu-prod-des-prod-testing-sample-legaltag" ], "otherRelevantDataCountries": [ "US" ] }
dataobjectrequired

Record payload represented as a list of key-value pairs.

Example:
{ "msg": "hello world, from Data Platform" }
ancestryobject(RecordAncestry)
metaArray of objects(MetaBlock)

An array of elements collecting the frame of reference(FoR) information in records.

Example:
[ { "kind": "Unit", "persistableReference": "{\"scaleOffset\":{\"scale\":1.0,\"offset\":0.0},\"symbol\":\"m\",\"baseMeasurement\":{\"ancestry\":\"Length\",\"type\":\"UM\"},\"type\":\"USO\"}", "propertyNames": [ … ], "name": "m" } ]
Response
{ "id": "slb-osdu-prod-des-prod-testing:work-product-component--WellLog:a6d6-63fc9a0bbac1", "kind": "slb-osdu-prod-des-prod-testing:wks:work-product-component--WellLog:1.0.0", "acl": { "viewers": [ … ], "owners": [ … ] }, "legal": { "legaltags": [ … ], "otherRelevantDataCountries": [ … ] }, "data": { "msg": "hello world, from Data Platform" }, "meta": [ { … } ] }